bobomylweiy
2012-06-06 17:52 阅读 314

jquery 冲突

现在有两个js tuna_100324_index.js和jquery 1.3.2 两个js
分别是两个插件的js 两个插件单独使用是好用的。。 但是 给两个插件放到一个页面上的时候, 报脚本异常 “对象不支持此属性或方法” tuna_100324_index.js 1665行

tuna_100324_index.js 1665行的代码是:
.$r("domready", function () {
a.container.style.visibility = "";
_
_.$r("mouseover", d)
})
但是把jquery .js去掉 就好用了。 这是为什么?? 怎么改、、??

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

5条回答 默认 最新

  • 已采纳
    Reyes11235813 reyesyang 2012-06-07 00:07

    请参考,不知是否有帮助,感觉上应该是$和jQuery中的$冲突:
    [url]
    http://www.cnblogs.com/RascallySnake/archive/2010/05/07/1729417.html
    [/url]
    [url]http://api.jquery.com/jQuery.noConflict/[/url]

    点赞 评论 复制链接分享
  • renxin111 renxin111 2012-06-07 08:39

    这两个的引入顺序呢.?

    点赞 评论 复制链接分享
  • blackproof blackproof 2012-06-07 08:42

    试试把$符号换成jQuery
    在jsf中就是这种解决方式,我不太清楚里使用的js情况
    it does hurt to have a try

    点赞 评论 复制链接分享
  • gxz1989611 gxz1989611 2012-06-07 10:22

    jquery.noConflict()方法可以参考下,官方api上有的。

    点赞 评论 复制链接分享
  • wf_wfeng wf_wfeng 2012-06-08 11:36

    不会是两个js冲突吧!

    点赞 评论 复制链接分享

相关推荐